import { Block, Dimension, Direction, Player } from "@minecraft/server";
import { digitalBlockOnEvent } from "./digitalBlockOnEvent";

/**
 * Evento onPlayerInteract del componente digitalBlockComponent
 * Addon: Electrical Creativity BP
 * @param {{face: Direction, faceLocation: Vector3, player: Player, block: Block, dimension: Dimension}} event
 */
export const digitalBlockOnPlayerInteractEvent = ({face, faceLocation, player, block, dimension}) => {
    try {
        digitalBlockOnEvent(block);
    } catch { }
}